{% trans_default_domain 'FOSUserBundle' %}

{% if error %}
    <div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
{% endif %}

<form action="{{ path("fos_user_security_check") }}" method="post" class="form-signin">
    <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>

    {% if csrf_token %}
        <input type="hidden" name="_csrf_token" value="{{ csrf_token }}" />
    {% endif %}

    <label for="username" class="sr-only">{{ 'security.login.username'|trans }}</label>
    <input type="text" id="username" name="_username" value="{{ last_username }}" required="required" autocomplete="username" class="form-control" placeholder="{{ 'security.login.username'|trans }}" />

    <label for="password" class="sr-only">{{ 'security.login.password'|trans }}</label>
    <input type="password" id="password" name="_password" required="required" autocomplete="current-password" class="form-control" placeholder="{{ 'security.login.password'|trans }}" />

    <div class="checkbox mb-3">
        <input type="checkbox" id="remember_me" name="_remember_me" value="on" />
        <label for="remember_me">{{ 'security.login.remember_me'|trans }}</label>
    </div>

    <button type="submit" id="_submit" name="_submit" class="btn btn-lg btn-primary btn-block">
        {{ 'security.login.submit'|trans }}
    </button>
</form>
